import { Construct } from 'constructs';
import { TemporalCluster } from '../..';
export declare class TemporalNamespaceProvider extends Construct {
    /**
     * We create a single instance of this provider by Temporal cluster.
     * Privileges for that single instance's lambda function are then expanded
     * to include network access and secret access for each datastore.
     */
    static getOrCreate(cluster: TemporalCluster): string;
    private readonly provider;
    private readonly lambdaFunction;
    constructor(cluster: TemporalCluster, id: string);
    private expandPrivilegesToTemporal;
}
